Bug 539835 - SELinux is preventing /usr/lib64/chromium-browser/chrome-sandbox "read" access on /proc.
Summary: SELinux is preventing /usr/lib64/chromium-browser/chrome-sandbox "read" acces...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:009c5ad690f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-21 09:44 UTC by Kamil
Modified: 2009-12-29 03:51 UTC (History)
9 users (show)

Fixed In Version: 3.6.32-49.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-07 22:46:36 UTC


Attachments (Terms of Use)

Description Kamil 2009-11-21 09:44:48 UTC
Podsumowanie:

SELinux is preventing /usr/lib64/chromium-browser/chrome-sandbox "read" access
on /proc.

Szczegółowy opis:

[chrome-sandbox posiada typ zezwalania (chrome_sandbox_t). Ten dostęp nie
został odmówiony.]

SELinux denied access requested by chrome-sandbox. It is not expected that this
access is required by chrome-sandbox and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Zezwalanie na dostęp:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Dodatkowe informacje:

Kontekst źródłowy          unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c
                              0.c1023
Kontekst docelowy             system_u:object_r:proc_t:s0
Obiekty docelowe              /proc [ dir ]
Źródło                     chrome-sandbox
Ścieżka źródłowa         /usr/lib64/chromium-browser/chrome-sandbox
Port                          <Nieznane>
Komputer                      (removed)
Źródłowe pakiety RPM       chromium-4.0.252.0-0.1.20091119svn32498.fc12
Docelowe pakiety RPM          filesystem-2.4.30-2.fc12
Pakiet RPM polityki           selinux-policy-3.6.32-41.fc12
SELinux jest włączony       True
Typ polityki                  targeted
Tryb wymuszania               Enforcing
Nazwa wtyczki                 catchall
Nazwa komputera               (removed)
Platforma                     Linux (removed) 2.6.31.5-127.fc12.x86_64 #1
                              SMP Sat Nov 7 21:11:14 EST 2009 x86_64 x86_64
Liczba alarmów               2
Po raz pierwszy               sob, 21 lis 2009, 10:43:38
Po raz ostatni                sob, 21 lis 2009, 10:43:38
Lokalny identyfikator         1ac49f0e-9938-4be8-9f2d-17a099135e7c
Liczba wierszy                

Surowe komunikaty audytu      

node=(removed) type=AVC msg=audit(1258796618.371:987): avc:  denied  { read } for  pid=24325 comm="chrome-sandbox" name="/" dev=proc ino=1 scontext=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 tcontext=system_u:object_r:proc_t:s0 tclass=dir

node=(removed) type=AVC msg=audit(1258796618.371:987): avc:  denied  { open } for  pid=24325 comm="chrome-sandbox" name="/" dev=proc ino=1 scontext=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 tcontext=system_u:object_r:proc_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1258796618.371:987): arch=c000003e syscall=2 success=yes exit=128 a0=401f60 a1=90800 a2=7fffa8a89a3e a3=7fffa8a88440 items=0 ppid=24320 pid=24325 auid=500 uid=500 gid=500 euid=0 suid=0 fsuid=0 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="chrome-sandbox" exe="/usr/lib64/chromium-browser/chrome-sandbox" subj=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,catchall,chrome-sandbox,chrome_sandbox_t,proc_t,dir,read
audit2allow suggests:

#============= chrome_sandbox_t ==============
allow chrome_sandbox_t proc_t:dir { read open };

Comment 1 David 2009-11-21 19:06:03 UTC
Below  is a sumary from SELinux preventing chromium web browser from launching.

Summary:

SELinux is preventing /usr/lib64/chromium-browser/chrome-sandbox "read" access
on /proc.

Detailed Description:

[chrome-sandbox has a permissive type (chrome_sandbox_t). This access was not
denied.]

SELinux denied access requested by chrome-sandbox. It is not expected that this
access is required by chrome-sandbox and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c
                              0.c1023
Target Context                system_u:object_r:proc_t:s0
Target Objects                /proc [ dir ]
Source                        chrome-sandbox
Source Path                   /usr/lib64/chromium-browser/chrome-sandbox
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           chromium-4.0.252.0-0.1.20091119svn32498.fc12
Target RPM Packages           filesystem-2.4.30-2.fc12
Policy RPM                    selinux-policy-3.6.32-41.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux hawk.localdomain 2.6.31.5-127.fc12.x86_64 #1
                              SMP Sat Nov 7 21:11:14 EST 2009 x86_64 x86_64
Alert Count                   2
First Seen                    Sat 21 Nov 2009 18:58:33 GMT
Last Seen                     Sat 21 Nov 2009 18:58:33 GMT
Local ID                      e7426a7a-fe6c-4159-9cc4-b9ec26eaacb6
Line Numbers                  

Raw Audit Messages            

node=hawk.localdomain type=AVC msg=audit(1258829913.295:78906): avc:  denied  { read } for  pid=6061 comm="chrome-sandbox" name="/" dev=proc ino=1 scontext=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 tcontext=system_u:object_r:proc_t:s0 tclass=dir

node=hawk.localdomain type=AVC msg=audit(1258829913.295:78906): avc:  denied  { open } for  pid=6061 comm="chrome-sandbox" name="/" dev=proc ino=1 scontext=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 tcontext=system_u:object_r:proc_t:s0 tclass=dir

node=hawk.localdomain type=SYSCALL msg=audit(1258829913.295:78906): arch=c000003e syscall=2 success=yes exit=128 a0=401f60 a1=90800 a2=7fff3010fa80 a3=7fff3010dbd0 items=0 ppid=6055 pid=6061 auid=500 uid=500 gid=500 euid=0 suid=0 fsuid=0 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="chrome-sandbox" exe="/usr/lib64/chromium-browser/chrome-sandbox" subj=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 key=(null)

Comment 2 Daniel Walsh 2009-11-23 14:56:31 UTC
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.32-48.fc12.noarch

Comment 3 Fedora Update System 2009-11-23 23:39:07 UTC
selinux-policy-3.6.32-49.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-49.fc12

Comment 4 Fedora Update System 2009-11-25 15:22:24 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12131

Comment 5 Fedora Update System 2009-12-02 04:33:35 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Kamil 2009-12-02 14:52:05 UTC
Unfortunately, after updating selinux the problem remains.
If you need any more informations let me know what I can do to give you it.

Comment 7 Daniel Walsh 2009-12-02 19:22:24 UTC
rpm -q selinux-policy-targeted

What avc are you still seeing?

Comment 8 Kamil 2009-12-02 20:05:42 UTC
$ rpm -q selinux-policy-targeted
selinux-policy-targeted-3.6.32-49.fc12.noarch


SELinux is preventing /usr/lib64/chromium-browser/chrome-sandbox "read" access
on /proc.

Comment 9 Daniel Walsh 2009-12-02 20:12:59 UTC
selinux-policy-targeted-3.6.32-52.fc12.noarch
yum update selinux-policy-targeted --enablerepo=updatest-testing

Comment 10 Kamil 2009-12-02 20:31:06 UTC
$ su -c 'yum --enablerepo=updates-testing update selinux-policy-targeted'

gave me "no packets to update".

Comment 11 Daniel Walsh 2009-12-02 21:13:49 UTC
Well it should be there soon.

Comment 12 Kamil 2009-12-04 11:11:09 UTC
$ rpm -qe selinux-policy-targeted
selinux-policy-targeted-3.6.32-52.fc12.noarch

Problem is finally fixed.


Note You need to log in before you can comment on or make changes to this bug.